#!/bin/sh

# autotero.sh - automatically create symlinks for auto.tero autofs map.
# (c) 2004-05-29 Tero.Karvinen atta iki.fi, http://www.iki.fi/karvinen
# See also: http://www.iki.fi/karvinen/linux/doc/automatic-mounting-autofs.html

MNT="/mnt/"
MAP=`pwd`/auto.tero

if [ -z $MAP ]; then
	MAP=`cat /etc/auto.master |gawk '/^[^#]/{print $2}'`
fi

if [ "0" != "$id" ]; then
	echo "*** Warning: You are currently not root. Try \"autotero --dir .\" for test in current dir."
fi

if [ "--dir" == "$1" ]; then
		MNT="$2"
fi

echo "Directories and symlinks will be created to $2"
mkdir -p $MNT/auto/	# for symlinks
cd $MNT/auto
mkdir -p autofs	# mountpoint 
chmod a+rx $MNT/auto $MNT/auto/autofs

# Create drives mentioned in auto.tero
MOUNTPOINTS=`cat $MAP|gawk '/^[^#]/{print $1}'`
for MPOINT in $MOUNTPOINTS
do
	echo $MPOINT
	ln -s autofs/$MPOINT $MPOINT
done

/etc/init.d/autofs reload

